.catalog-item {
  box-sizing: border-box;
  padding: 0;
  width: 280px;
  min-width: 280px;
  max-height: 565px;
  border: none !important;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  gap: 10px;
  text-decoration: none;
  cursor: pointer;
  /* Swiper override */
}
@media (max-width: 1599px) {
  .catalog-item {
    width: 268px;
    min-width: 268px;
    max-height: 585px;
  }
}
@media (max-width: 1199px) {
  .catalog-item {
    width: 296px;
    min-width: 296px;
    max-height: 565px;
  }
}
@media (max-width: 959px) {
  .catalog-item {
    width: 200px;
    min-width: 200px;
    max-height: 350px;
  }
}
@media (max-width: 639px) {
  .catalog-item {
    width: 178px;
    min-width: 178px;
    max-height: 350px;
  }
}
.catalog-item.swiper-slide {
  width: 280px !important;
}
@media (max-width: 1599px) {
  .catalog-item.swiper-slide {
    width: 268px !important;
  }
}
@media (max-width: 1199px) {
  .catalog-item.swiper-slide {
    width: 296px !important;
  }
}
@media (max-width: 959px) {
  .catalog-item.swiper-slide {
    width: 200px !important;
  }
}
@media (max-width: 639px) {
  .catalog-item.swiper-slide {
    width: 178px !important;
  }
}
.catalog-item_incart .catalog-item__purchase-order {
  visibility: visible;
}
.catalog-item_incart .catalog-item__purchase-order-buy-btn-icon,
.catalog-item_incart .catalog-item__purchase-order-cart-btn {
  display: none;
}
.catalog-item_incart .catalog-item__purchase-order-quantity-counter {
  display: flex;
  max-width: 120px;
}
.catalog-item_incart .catalog-item__purchase-order-buy-btn {
  border: 1px solid #fcda06;
  background-color: rgba(252, 248, 6, 0.3);
}
.catalog-item_incart .catalog-item__info-preview-floating {
  bottom: -6px;
}
.catalog-item_incart .catalog-item__info-preview-floating-qty {
  max-width: 100px;
  opacity: 1;
}
.catalog-item_incart .catalog-item__info-preview-floating-add-btn {
  opacity: 0;
}
.catalog-item_infavorite .catalog-item__info-preview-favorite-btn {
  display: flex;
}
.catalog-item_infavorite .catalog-item__info-preview-favorite-btn-heart-icon {
  display: none;
}
.catalog-item_infavorite .catalog-item__info-preview-favorite-btn-ok-icon {
  display: block;
}
.catalog-item_readonly .catalog-item__purchase-order-buy-btn,
.catalog-item_readonly .catalog-item__purchase-order-quantity-counter,
.catalog-item_readonly .catalog-item__info-preview-floating-add-btn {
  opacity: 0.3;
}
.catalog-item_sold-out .catalog-item__purchase-order-buy-btn,
.catalog-item_sold-out .catalog-item__purchase-order-quantity-counter,
.catalog-item_sold-out .catalog-item__info-preview-floating-add-btn {
  opacity: 0.3;
}
.catalog-item_loaded .catalog-item__purchase-order-quantity-counter {
  animation-name: load-compleated;
  animation-duration: 1.6s;
  animation-timing-function: ease-in-out;
}
.catalog-item_loaded .catalog-item__info-preview-floating-qty {
  animation-name: load-compleated_yellow;
  animation-duration: 1.6s;
  animation-timing-function: ease-in-out;
}
.catalog-item:hover .catalog-item__info-specifications-heading-title {
  text-decoration: underline;
}
.catalog-item:hover .catalog-item__purchase-order {
  visibility: visible;
}
.catalog-item:hover .catalog-item__info-preview-favorite-btn {
  display: flex;
}
.catalog-item__info {
  text-decoration: none;
}
.catalog-item__info-preview {
  box-sizing: border-box;
  width: 100%;
  height: 280px;
  padding: 20px;
  flex-shrink: 0;
  position: relative;
  border-radius: 16px;
  background-color: rgba(29, 44, 64, 0.05);
}
.catalog-item__info-preview-img {
  display: block;
  height: 100%;
  text-decoration: none;
}
.catalog-item__info-preview-img img {
  width: 100%;
  height: 100%;
  mix-blend-mode: darken;
  -webkit-user-select: none;
  -webkit-user-drag: none;
  object-fit: contain;
}
.catalog-item__info-preview-favorite-btn {
  display: none;
  position: absolute;
  padding: 0;
  top: 10px;
  right: 10px;
  width: 40px;
  height: 40px;
  justify-content: center;
  align-items: center;
  background-color: white;
  border: none;
  border-radius: 12px;
  cursor: pointer;
  transition: background-color 0.3s ease;
}
.catalog-item__info-preview-favorite-btn:active {
  background-color: rgba(29, 44, 64, 0.1);
}
@media (hover: hover) and (pointer: fine) {
  .catalog-item__info-preview-favorite-btn:hover {
    background-color: rgba(29, 44, 64, 0.1);
  }
}
.catalog-item__info-preview-favorite-btn_added {
  background-color: red;
}
.catalog-item__info-preview-favorite-btn_added img {
  filter: invert();
}
.catalog-item__info-preview-favorite-btn img {
  width: 16px;
  height: 16px;
  max-width: none;
  -webkit-user-select: none;
  -webkit-user-drag: none;
}
.catalog-item__info-preview-favorite-btn-heart-icon {
  display: block;
}
.catalog-item__info-preview-favorite-btn-ok-icon {
  display: none;
}
/* Badges */
.catalog-item__info-preview-floating {
  display: none;
  justify-content: end;
  align-items: end;
  position: absolute;
  padding: 0;
  right: 4px;
  bottom: -8px;
  max-width: 100px;
  overflow: hidden;
}
@media (max-width: 959px) {
  .catalog-item__info-preview-floating {
    display: flex;
  }
}
.catalog-item__info-preview-floating-add-btn {
  display: flex;
  padding: 0;
  width: 40px;
  height: 40px;
  flex-shrink: 0;
  justify-content: center;
  align-items: center;
  background-color: #fcf806;
  border: 2px solid white;
  border-radius: 12px;
  cursor: pointer;
  transition: background-color 0.2s ease-out, opacity 0.2s ease-out;
}
.catalog-item__info-preview-floating-add-btn:active {
  background-color: #fcda06;
}
@media (hover: hover) and (pointer: fine) {
  .catalog-item__info-preview-floating-add-btn:hover {
    background-color: #fcda06;
  }
}
.catalog-item__info-preview-floating-add-btn img {
  margin: auto;
  width: 16px;
  height: 16px;
  max-width: none;
  -webkit-user-select: none;
  -webkit-user-drag: none;
}
.catalog-item__info-preview-floating-qty {
  max-width: 0px;
  opacity: 0;
  display: flex;
  align-items: center;
  gap: 4px;
  height: 32px;
  flex-shrink: 0;
  border-radius: 12px;
  outline: 2px solid white;
  border: 1px solid #fcda06;
  background-color: #fefcb4;
  overflow: hidden;
  transition: opacity 0.2s ease, max-width 0.2s ease;
}
.catalog-item__info-preview-floating-qty-btn {
  padding: 0;
  width: 31px;
  height: 32px;
  border: none;
  display: flex;
  background-color: transparent;
  cursor: pointer;
  transition: background-color 0.1s ease;
}
@media (max-width: 959px) {
  .catalog-item__info-preview-floating-qty-btn {
    width: 30px;
    height: 30px;
  }
}
.catalog-item__info-preview-floating-qty-btn:active {
  background-color: rgba(22, 32, 46, 0.05);
}
@media (hover: hover) and (pointer: fine) {
  .catalog-item__info-preview-floating-qty-btn:hover {
    background-color: rgba(22, 32, 46, 0.05);
  }
}
.catalog-item__info-preview-floating-qty-btn img {
  margin: auto;
  max-width: none;
  user-select: none;
  -webkit-user-drag: none;
}
.catalog-item__info-preview-floating-qty-counter {
  width: 20px;
  font-family: var(--font-mevermind-compact);
  color: black;
  font-size: 17px;
  font-weight: 500;
  line-height: 100%;
  text-align: center;
}
@media (max-width: 959px) {
  .catalog-item__info-preview-floating-qty-counter {
    font-size: 15px;
  }
}
.catalog-item__info-preview-badges {
  display: flex;
  flex-direction: column;
  gap: 4px;
  position: absolute;
  top: 10px;
  left: 10px;
}
.catalog-item__info-preview-badges-badge {
  display: flex;
  box-sizing: border-box;
  padding: 2px 4px;
  border-radius: 7px;
  align-items: center;
  gap: 4px;
}
.catalog-item__info-preview-badges-badge img {
  width: 20px;
  height: 20px;
  -webkit-user-select: none;
  -webkit-user-drag: none;
}
.catalog-item__info-preview-badges-badge span {
  font-family: var(--font-mevermind-compact);
  font-size: 15px;
  font-weight: 400;
  line-height: 135%;
  -webkit-user-select: none;
}
.catalog-item__info-preview-badges-badge_hit-badge {
  background-color: #fcda06;
}
.catalog-item__info-preview-badges-badge_hit-badge span {
  color: black;
}
.catalog-item__info-preview-badges-badge_new-badge {
  background-color: #ff4600;
}
.catalog-item__info-preview-badges-badge_new-badge span {
  color: white;
}
.catalog-item__info-preview-badges-badge_new-badge .uk-text-danger {
  color: #ffffff !important;
}
.catalog-item__info-preview-badges-badge_sale-badge {
  background-color: #4afc06;
}
.catalog-item__info-preview-badges-badge_sale-badge span {
  color: black;
}
.catalog-item__info-specifications {
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
  gap: 8px;
  padding: 12px 12px 0 12px;
}
.catalog-item__info-specifications-heading {
  display: flex;
  flex-direction: column;
  gap: 4px;
  text-decoration: none;
}
.catalog-item__info-specifications-heading-category {
  font-family: var(--font-mevermind-compact);
  font-size: 13px;
  color: rgba(29, 44, 64, 0.5);
  font-weight: 500;
  line-height: 125%;
  -webkit-user-select: none;
}
.catalog-item__info-specifications-heading-title {
  font-family: var(--font-mevermind-compact);
  font-size: 17px;
  color: black;
  font-weight: 300;
  line-height: 135%;
  margin: 0;
  overflow: hidden;
  display: -webkit-box;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
  text-overflow: ellipsis;
}
.catalog-item__info-specifications-options {
  width: 100%;
  display: flex;
  gap: 4px;
}
@media (max-width: 959px) {
  .catalog-item__info-specifications-options {
    display: none;
  }
}
.catalog-item__info-specifications-options-item {
  box-sizing: border-box;
  padding: 6px 10px;
  border-radius: 100px;
  border: 1px solid rgba(29, 44, 64, 0.05);
  background-color: white;
  font-family: var(--font-mevermind-compact);
  font-size: 15px;
  color: black;
  font-weight: 400;
  line-height: 135%;
  -webkit-user-select: none;
  cursor: pointer;
  transition: background-color 0.3s ease;
}
.catalog-item__info-specifications-options-item:active {
  background-color: rgba(29, 44, 64, 0.1);
}
@media (hover: hover) and (pointer: fine) {
  .catalog-item__info-specifications-options-item:hover {
    background-color: rgba(29, 44, 64, 0.1);
  }
}
.catalog-item__info-specifications-options-item_selected {
  background-color: rgba(29, 44, 64, 0.05);
}
.catalog-item__info-specifications-options-item_disabled,
.catalog-item__info-specifications-options-item[disabled] {
  background-color: rgba(29, 44, 64, 0.05);
  opacity: 0.2;
}
.catalog-item__purchase {
  display: flex;
  flex-direction: column;
  gap: 10px;
  padding: 0 12px;
}
.catalog-item__purchase-price-info {
  display: flex;
  flex-direction: column;
  gap: 12px;
}
.catalog-item__purchase-price-info-offer {
  display: flex;
  gap: 8px;
  align-items: center;
}
.catalog-item__purchase-price-info-offer-current {
  font-family: var(--font-mevermind-compact);
  color: black;
  font-size: 22px;
  font-weight: 500;
  line-height: 135%;
  white-space: nowrap;
}
.catalog-item__purchase-price-info-offer-old {
  font-family: var(--font-mevermind-compact);
  color: rgba(29, 44, 64, 0.5);
  font-size: 17px;
  font-weight: 400;
  line-height: 135%;
  text-decoration: line-through;
}
@media (max-width: 430px) {
  .catalog-item__purchase-price-info-offer-old {
    display: none;
  }
}
.catalog-item__purchase-price-info-offer-discount {
  box-sizing: border-box;
  padding: 1px 4px;
  background-color: #fcf806;
  border-radius: 7px;
  font-family: var(--font-mevermind-compact);
  color: black;
  font-size: 17px;
  font-weight: 400;
  line-height: 135%;
  text-wrap: nowrap;
  flex-shrink: 0;
}
.catalog-item__purchase-price-info-wholesale-price {
  font-family: var(--font-mevermind-compact);
  color: black;
  font-size: 17px;
  font-weight: 300;
  line-height: 135%;
}
.catalog-item__purchase-price-info-wholesale-annotation {
  font-family: var(--font-mevermind-compact);
  color: rgba(29, 44, 64, 0.5);
  font-size: 15px;
  font-weight: 400;
  line-height: 135%;
}
.catalog-item__purchase-order {
  width: 100%;
  height: 52px;
  display: flex;
  align-items: end;
  gap: 8px;
  visibility: hidden;
}
.catalog-item__purchase-order-quantity-counter {
  box-sizing: border-box;
  height: 40px;
  width: min-content;
  max-width: 0px;
  flex-shrink: 0;
  background-color: rgba(29, 44, 64, 0.05);
  justify-content: space-between;
  align-items: center;
  gap: 8px;
  border-radius: 12px;
  overflow: hidden;
  display: none;
  transition: max-width 0.3s ease, display 0.3s ease allow-discrete;
}
@starting-style {
  .catalog-item_incart .catalog-item__purchase-order-quantity-counter {
    max-width: 0px;
  }
}
.catalog-item__purchase-order-quantity-counter-btn {
  cursor: pointer;
  width: 40px;
  height: 40px;
  display: flex;
  justify-content: center;
  align-items: center;
  border: none;
  background-color: transparent;
  transition: background-color 0.1s ease;
}
.catalog-item__purchase-order-quantity-counter-btn:active {
  background-color: rgba(22, 32, 46, 0.05);
}
@media (hover: hover) and (pointer: fine) {
  .catalog-item__purchase-order-quantity-counter-btn:hover {
    background-color: rgba(22, 32, 46, 0.05);
  }
}
.catalog-item__purchase-order-quantity-counter-btn-img {
  -webkit-user-select: none;
  -webkit-user-drag: none;
  max-width: none;
}
.catalog-item__purchase-order-quantity-counter-value {
  font-family: var(--font-mevermind-compact);
  color: black;
  font-size: 17px;
  font-weight: 400;
  line-height: 135%;
}
.catalog-item__purchase-order-quantity-counter-input,
.catalog-item__purchase-order-quantity-counter-price {
  display: none;
}
.catalog-item__purchase-order-buy-btn {
  box-sizing: border-box;
  padding: 0 15px;
  width: 100%;
  height: 40px;
  border: none;
  border-radius: 12px;
  background-color: #fcf806;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 10px;
  cursor: pointer;
  transition: background-color 0.2s ease-out, scale 0.2s ease-out;
}
.catalog-item__purchase-order-buy-btn:active {
  background-color: #fcda06;
}
@media (hover: hover) and (pointer: fine) {
  .catalog-item__purchase-order-buy-btn:hover {
    background-color: #fcda06;
  }
}
.catalog-item__purchase-order-buy-btn:active {
  scale: 0.98;
}
.catalog-item__purchase-order-buy-btn-text {
  font-family: var(--font-mevermind-compact);
  color: black;
  font-size: 17px;
  font-weight: 400;
  line-height: 100%;
  white-space: nowrap;
  -webkit-user-select: none;
}
.catalog-item__purchase-order-buy-btn-icon {
  -webkit-user-select: none;
  -webkit-user-drag: none;
  max-width: none;
}
.catalog-item__purchase-order-cart-btn {
  box-sizing: border-box;
  padding: 12px;
  height: 40px;
  display: flex;
  gap: 10px;
  justify-content: center;
  align-items: center;
  border: none;
  border-radius: 12px;
  background-color: #1d2c40;
  cursor: pointer;
  transition: opacity 0.1s ease;
}
.catalog-item__purchase-order-cart-btn:active {
  opacity: 0.7;
}
@media (hover: hover) and (pointer: fine) {
  .catalog-item__purchase-order-cart-btn:hover {
    opacity: 0.7;
  }
}
.catalog-item__purchase-order-cart-btn-text {
  display: none;
  font-family: var(--font-mevermind-compact);
  color: #1d2c40;
  font-size: 17px;
  font-weight: 400;
  line-height: 100%;
}
.catalog-item__purchase-order-cart-btn-icon {
  width: 16px;
  height: 16px;
  -webkit-user-select: none;
  -webkit-user-drag: none;
}
@media screen and (max-width: 1599px) {
  .catalog-item__info-preview {
    height: 268px;
  }
}
@media screen and (max-width: 1199px) {
  .catalog-item__info-preview {
    height: 296px;
  }
  .catalog-item__purchase-order {
    visibility: visible;
  }
  .catalog-item__purchase-order {
    height: auto;
  }
  .catalog-item__purchase-price-info-offer-current {
    font-size: 17px;
  }
  .catalog-item__purchase-price-info-offer-old {
    font-size: 13px;
  }
  .catalog-item__purchase-price-info-offer-discount {
    font-size: 13px;
  }
  .catalog-item__purchase-price-info-wholesale-price {
    font-size: 15px;
  }
  .catalog-item__purchase-price-info-wholesale-annotation {
    font-size: 13px;
  }
  .catalog-item__info-specifications-heading-title {
    font-size: 17px;
  }
  .catalog-item__purchase-order-cart-btn {
    width: 100%;
    background-color: rgba(29, 44, 64, 0.05);
  }
  .catalog-item__purchase-order-cart-btn-text {
    display: block;
  }
  .catalog-item__purchase-order-cart-btn-icon {
    filter: invert(100%);
  }
  .catalog-item__purchase-order-buy-btn {
    padding: 11px 0;
    background-color: rgba(29, 44, 64, 0.05);
  }
}
@media screen and (max-width: 959px) {
  .catalog-item__info-preview {
    height: 170px;
  }
  .catalog-item__info-preview-favorite-btn {
    display: flex;
  }
  .catalog-item__info-preview-badges {
    top: 4px;
    left: 4px;
  }
  .catalog-item__info-preview-favorite-btn {
    top: 4px;
    right: 4px;
  }
  .catalog-item__info-specifications-heading-title {
    font-size: 15px;
  }
  .catalog-item__purchase-price-info {
    gap: 6px;
  }
  .catalog-item__purchase-order {
    display: none;
  }
}
@media screen and (max-width: 959px) {
  .catalog-item__info-preview {
    height: 178px;
  }
}
@keyframes load-compleated {
  0% {
    background-color: rgba(29, 44, 64, 0.05);
  }
  25% {
    background-color: #fcf806;
  }
  75% {
    background-color: #fcf806;
  }
  100% {
    background-color: rgba(29, 44, 64, 0.05);
  }
}
@keyframes load-compleated_yellow {
  0% {
    background-color: #fefcb4;
  }
  25% {
    background-color: #fcf806;
  }
  75% {
    background-color: #fcf806;
  }
  100% {
    background-color: #fefcb4;
  }
}